./editors/pluma, Small and lightweight UTF-8 text editor for the MATE

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.18.2nb4, Package name: pluma-1.18.2nb4, Maintainer: pkgsrc-users

pluma is a small and lightweight UTF-8 text editor for the MATE
environment. Based on gedit, the text editor for the GNOME2 environment.

pluma is part of MATE and uses the latest GTK+ and MATE libraries.
Complete MATE integration is featured, with support for Drag and Drop (DnD)
from Caja (the MATE file manager), the use of the MATE help system,
the MATE Virtual File System and the MATE print framework.


Required to run:
[sysutils/desktop-file-utils] [textproc/iso-codes] [textproc/enchant] [shells/bash] [devel/glib2] [x11/gtk3] [devel/libpeas] [x11/gtksourceview3] [x11/mate-desktop] [lang/python36]

Required to build:
[pkgtools/x11-links] [x11/xcb-proto] [x11/fixesproto4] [pkgtools/cwrappers] [x11/xorgproto]

Package options: enchant

Master sites:

SHA1: aca7de8f06c26f4a0c807aafd3a862494a050647
RMD160: 157baecf9e4c2b8a93cb3ac7e4d68ed5a8cdf9e9
Filesize: 3270.02 KB

Version history: (Expand)


CVS history: (Expand)


   2018-04-16 16:35:28 by Thomas Klausner | Files touched by this commit (1284)
Log message:
Recursive bump for new fribidi dependency in pango.
   2018-03-12 12:18:01 by Thomas Klausner | Files touched by this commit (2155)
Log message:
Recursive bumps for fontconfig and libzip dependency changes.
   2017-11-23 18:20:22 by Thomas Klausner | Files touched by this commit (556)
Log message:
recursive bump for libxkbcommon removal from at-spi2-core
   2017-09-10 00:37:49 by David A. Holland | Files touched by this commit (1)
Log message:
Depend on bash properly, noted by wiz. Ride previous bump.
   2017-09-10 00:03:30 by David A. Holland | Files touched by this commit (1)
Log message:
Installs a bash script. PKGREVISION=1.
   2017-06-29 21:54:40 by Jonathan Perkin | Files touched by this commit (1)
Log message:
Use REPLACE_PYTHON for an installed script.
   2017-06-29 21:37:26 by Jonathan Perkin | Files touched by this commit (1)
Log message:
More python fallout, we need to specifically override PYTHONBIN and
ensure python2.7 is used during the build process, even though it is
incompatible, because the scripts are not python3 compatible.
   2017-06-29 13:10:18 by Jonathan Perkin | Files touched by this commit (2)
Log message:
Work around include ordering issues with meta-pkgs/mate/Makefile.common
to ensure a valid python is chosen.  This should be fixed properly after
the branch.